---

bazel:
  repo: "git@git.zooxlabs.com:zooxco/bazel.git"
  # WARNING: This SHA should match the one in
  # `scripts/ansible/roles/versions_bazel/vars/main.yml`
  sha: "kraken-metrics"
  version: "@5c6b15b"
  dir: "/home/zoox/bazel-kraken"

kraken_user: zoox
kraken_work_path_root: /dev/shm
kraken_worker_work_path: "{{ kraken_work_path_root }}/worker"
kraken_gpu_worker_total_nvenc_streams: 2
kraken_max_assignable_gpu_count: 2
kraken_crons_path: /prestage/kraken/crons
kraken_logs_path: /prestage/kraken/logs
kraken_crons_log_path: "{{ kraken_crons_path }}/log_files"
kraken_gpu_checker_cron_path: "{{ kraken_crons_path }}/gpu_checker.py"
kraken_gpu_checker_metrics_file: "{{ kraken_crons_log_path }}/kraken_gpu_checker_metrics.log"
kraken_gpu_checker_log_file: "{{ kraken_crons_log_path }}/kraken_gpu_checker_logs"
kraken_gpu_memory_usage_polling_ms: 10
kraken_max_permissible_worker_timeout: 10800
kraken_worker_execute_timeout: 1200
kraken_worker_slow_action_logging_threshold: 300
kraken_gpu_worker_execute_timeout: 1200
kraken_gpu_acquire_queue_timeout_seconds: 900
kraken_firmware_worker_execute_timeout: 600
kraken_log_dir: "/home/{{ kraken_user }}"
kraken_metrics_file: "/home/{{ kraken_user }}/kraken_metrics.log"
kraken_action_logs_dir_host: "/home/{{ kraken_user }}/action_logs"
kraken_action_logs_dir_container: "/home/zoox/action_logs"
kraken_logstash_url: kraken-logstash.zooxlabs.com:5044
kraken_build_directory_cleaner_log_file: "{{ kraken_log_dir }}/weka_build_directory_cleaner.log"
weka_evictor_log_file: "{{ kraken_log_dir }}/weka_evictor_log.log"
mtime_modification_chance: 1
filebeat_data_dir: "/home/{{ kraken_user }}/filebeat_data"
logstash_data_dir: "/home/{{ kraken_user }}/logstash_data"
logstash_image_version: "7.9.3"

# QNX related parameters
qnx_run_file_sha: 5f389e3f67838593ed26a96bcb63d62e3070ba5b82aa13c995c879620bfa9f53
qnx_binaries_sha: bfda2a9e6b35442b03637f463dc5e73377de579acd3f8614d844cc96e6d444bb
qnx_config_path: "/home/{{ kraken_user }}/.qnx"
qnx_run_file_path: "/home/{{ kraken_user }}/qnx-setup-lin.run"
qnx_binaries_tar_path: "/home/{{ kraken_user }}/qnx_7.0.0.tar.gz"
qnx_toolchain_path: /opt/blackberry
qnx_binary_dir: "/home/{{ kraken_user }}"
qnx_symlink_path: /opt/blackberry/qnx-7.0.0
qnx_binary_path: "{{ qnx_binary_dir }}/qnx700"
qnx_install_dir: "/home/{{ kraken_user }}/qnxinstall"

# Semaphore related parameters
cpu_max_concurrent_actions: 80
gpu_max_concurrent_actions: 40
firmware_max_concurrent_actions: 80

# Weka related parameters
weka_mount_point: /mnt/weka
weka_kraken_docker_image: kraken.docker.zooxlabs.com/clean-tentacle:zoox-weka-kraken-0.25.2-4872f5ba-Clean
weka_stats_docker_image: kraken.docker.zooxlabs.com/kraken/weka_metrics:e7fc6ecc5a467e2d013aa368e29eee5079a5a1be-Clean
weka_kraken_evictor_docker_image: kraken.docker.zooxlabs.com/kraken/weka_cache_evictor:4713d879687b9734d7caaa8ab7151f16eaf690d2-Clean
weka_remote_filesystem_cache_root: "{{ weka_mount_point }}/kraken/cache"
# As of node_exporter 0.16.0, the default value for
# --collector.filesystem.ignored-mount-points is
# "^/(dev|proc|sys|var/lib/docker)($|/)"
# We need to not ignore /dev in order to monitor /dev/shm
# There are uninteresting mounts under /dev, but they are all taken care of
# by --collector.filesystem.ignored-fs-types
node_exporter_ignored_mount_points: ^/(proc|sys|{{ docker_dir | default('/var/lib/docker') | regex_replace('^/', '') }})($|/)
# We set building_ami to True when running this ansible with packer
# to build EC2 instances for AWS Kraken
building_ami: False
kraken_rootfs_dir: /mnt/kraken/rootfs
kraken_packed_rootfs_dir: /var/lib/kraken/rootfs
rootfs_images:
- name: zrte.test
  sha256: 279c22d68f0aac7a5ec23531fe3e9e0fde4b0731a9cf97dbfcfa6b3cb8599e07

kraken_zrte_base_version: test
kraken_zrte_nvidia_version: 440.64.00-0ubuntu1
